tools.hh File Reference
`#include <sstream>`
`#include <string>`
`#include <boost/call_traits.hpp>`
`#include <memory>`
`#include <cmath>`
`#include <mia/core/defines.hh>`
`#include <mia/core/errormacro.hh>`
Include dependency graph for tools.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | FWrapStaticDataInSharedPointer< Data >
| functor to wrap statically allocated data a shared pointer representation More...
struct | void_destructor< T >
| A helper class to make it possible to store a non-pointer object or a pointer that must not be freed in a shared pointer. More...

## Functions

template<typename T>
bool | from_string (const char *s, T &result)
template<typename T>
bool | from_string (const std::string &s, T &result)
template<typename T>
const std::string | to_string (typename boost::call_traits< T >::param_type v)
template<>
const std::string | to_string< double > (boost::call_traits< double >::param_type v)
template<>
const std::string | to_string< float > (boost::call_traits< float >::param_type v)
template<typename T>
const std::string | to_string_fp (T v)

## Function Documentation

## to_string< double >()

template<>

const std::string to_string< double > | ( | boost::call_traits< double >::param_type | v | ) |

inline

Definition at line 166 of file tools.hh.

References to_string_fp().

## to_string< float >()

template<>

const std::string to_string< float > | ( | boost::call_traits< float >::param_type | v | ) |

inline

Definition at line 160 of file tools.hh.

References to_string_fp().

## to_string_fp()

template<typename T>

const std::string to_string_fp | ( | T | v | ) |

Definition at line 142 of file tools.hh.

Referenced by to_string< double >(), and to_string< float >().